Bug 617211 - (CVE-2010-1915, MOPS-2010-017) CVE-2010-1915 php: preg_quote interruption vulnerability (MOPS-2010-017)
CVE-2010-1915 php: preg_quote interruption vulnerability (MOPS-2010-017)
Status: CLOSED DUPLICATE of bug 169857
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,public=20100509,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 09:44 EDT by Jan Lieskovsky
Modified: 2018-06-02 07:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 09:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Public MOPS-2010-017 reproducer (1.27 KB, text/plain)
2010-07-22 10:00 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2010-07-22 09:44:47 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1915 to
the following vulnerability:

The preg_quote function in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2
allows context-dependent attackers to obtain sensitive information
(memory contents) by causing a userspace interruption of an internal
function, related to the call time pass by reference feature, modification
of ZVALs whose values are not updated in the associated local variables,
and access of previously-freed memory.

References:
  [1] http://www.php-security.org/2010/05/09/mops-2010-017-php-preg_quote-interruption-information-leak-vulnerability/index.html
  [2] http://xforce.iss.net/xforce/xfdb/58586
Comment 1 Jan Lieskovsky 2010-07-22 10:00:44 EDT
Created attachment 433706 [details]
Public MOPS-2010-017 reproducer
Comment 5 Jan Lieskovsky 2010-07-22 11:15:24 EDT
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php
Comment 6 Jan Lieskovsky 2010-07-22 11:57:10 EDT
This issue affects the versions of the php package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the php package, as shipped
with Fedora release of 12 and 13.
Comment 7 Tomas Hoger 2010-07-26 09:41:29 EDT
(In reply to comment #6)
> This issue affects the versions of the php package, as shipped
> with Red Hat Enterprise Linux 3, 4, and 5.

The interruption described in the MOPS-2010-017 does not work in php versions in Red Hat Enterprise Linux 3, 4, and 5, as method __toString() is not called by zend_parse_parameters() in those versions.  All MOPS interruption reproducers relying on __toString() being called from zend_parse_parameters() would fail on those PHP versions.
Comment 8 Tomas Hoger 2010-07-26 09:48:38 EDT
Closing this, see bug #617578, comment #3 for more detailed explanation.

*** This bug has been marked as a duplicate of bug 169857 ***

Note You need to log in before you can comment on or make changes to this bug.